import { computeFeed, injectXSL } from "/src/lib/feed.ts";
import type { APIContext } from 'astro';

export async function GET({request, url, cookies}: APIContext): Promise<Response> {
  const feed = await computeFeed();

  return new Response(injectXSL(feed.atom1(), "/feed.xsl"))
}